Subject: [PATCH] ARM: omap5: build opp4xxx_data.c

From: [email-masked] (Kevin Hilman)
Date: Tue, 25 Jun 2013 13:56:09 -0700

Santosh Shilimkar <[email-masked]> writes:

> On Tuesday 25 June 2013 04:17 PM, Nishanth Menon wrote:
>> On Tue, Jun 25, 2013 at 3:12 PM, Santosh Shilimkar
>> <[email-masked]> wrote:
>>>
>>> Well having voltage data in voltage domain was not my decision ;-)
>>> Instead of creating another set of dummy data, I just used what
>>> is out there(OMAP4) with clear comment that data needs to be updated.
>>> I don't see any problem in this considering we have devices booting
>>> and working nicely for OMAP5
>> I really wish the OMAP5 devices(the latest ones from Fab) I have would
>> like to function at OMAP4 configurations! Unfortunately the devices
>> tend to follow the data manual for OMAP5.
>> *if* there is no need for it to boot, I suggest removing it.
>> 
> I don't understand you. For OMAP5, that data without voltage
> controller support doesn't do anything bad. Since there was some
> dependency of voltage domain association whit PD's, I have to keep
> that. I never claimed that OMAP4 settings would work for OMAP5
> in absolute terms.
>
> Feel free to post a patch with right data which you seems to have.
> I don't mind you removing that data as long as the device
> continues to boot. Patch welcome.

Thanks to Rajendra's cleanup, I don't think we need dummy data anymore:

   http://marc.info/?l=linux-omap&m=137147503827947&w=2

That series is queued for v3.11.

Kevin